Skip to main content
`Ctrl`+`K`

# DMTSSetI2FunctionContextDestroy

set `TS` implicit evaluation for 2nd order systems context destroy into a `DMTS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetI2FunctionContextDestroy(DM dm, PetscErrorCode (*f)(void *))

Not Collective

## Input Parameters

- dm - `DM` to be used with `TS`

- f - implicit evaluation context destroy function

## Note

`TSSetI2FunctionContextDestroy()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`.

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `TSSetI2FunctionContextDestroy()`, `DMTSSetI2Function()`, `TSSetI2Function()`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages